HomeGuidesDeveloper HubRelease Notes
Get supportBook a chat
Developer Hub
These docs are for v2.114. Click to read the latest docs for v2.208.

Get transactions of a member

Get details about a specific member's transactions

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Query values

The following table describes the values included in the query parameter request.

ValueDescriptionData type
nameAuto-assigned name of the redemption transaction.String
FieloPLT__Points__cTotal of points of the transaction.Integer
FieloPLT__Type__cType of transaction.String

In the example, we used the query parameter fields to retrieve more information, such as the name, the number of points and the type of the transaction. Feel free to add your own parameters and values in the query.

Response definitions

The following table describes each item in the response.

Response itemDescriptionData type
NameAuto-assigned name of the redemption transaction.String
FieloPLT__Points__cTotal of points of the transaction.Integer
FieloPLT__Type__cType of transaction.String
IdUnique identifier of the generated object.String

Practical Example

In order to give you an example of how the Transactions API can be used, take a look at the case below.

Considering that a company wants to GET the amount of a currency that a member has redeemed, they would use the following request:

https://[[app:Instance URL]]/services/apexrest/FieloPLT/v1/members/KeyField/transactions

Where KeyField is the key used to lookup for the record in the Transaction object. Meanwhile, the response would be:

{ "tran":
{ "FieloPLT__Type__c": "Redemption",
"Miles__c": "-1",
"FieloPLT__IsAdjust__c" : true
}
}

Where Miles__c is a custom currency, but it could be any other redeemable Member field.

Path Params
string
required

Member ID (either a Salesforce Record ID or an external ID)

Query Params
string

A comma-separated list of fields (API name) to return new fieldsets in the response

Responses

Language
Credentials
Header
LoadingLoading…
Response
Choose an example:
application/json